WP6Header Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP6Header Class Reference

`#include <WP6Header.h>`

Inheritance diagram for WP6Header:

## Public Member Functions
| WP6Header (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned documentOffset, unsigned char productType, unsigned char fileType, unsigned char majorVersion, unsigned char minorVersion, unsigned short documentEncryption)
| ~WP6Header () override
unsigned short | getIndexHeaderOffset () const
unsigned short | getNumPrefixIndices () const
Public Member Functions inherited from WPXHeader
| WPXHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned documentOffset, unsigned char productType, unsigned char fileType, unsigned char majorVersion, unsigned char minorVersion, unsigned short documentEncryption)
virtual | ~WPXHeader ()
unsigned | getDocumentOffset () const
unsigned char | getProductType () const
unsigned char | getFileType () const
unsigned char | getMajorVersion () const
unsigned char | getMinorVersion () const
unsigned short | getDocumentEncryption () const

## Protected Member Functions
void | _readIndexInformation (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
unsigned short | m_indexHeaderOffset
unsigned short | m_numPrefixIndices

## Additional Inherited Members
Static Public Member Functions inherited from WPXHeader
static WPXHeader * | constructHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Constructor & Destructor Documentation

## ◆ WP6Header()

WP6Header::WP6Header | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | documentOffset,
|  | unsigned char | productType,
|  | unsigned char | fileType,
|  | unsigned char | majorVersion,
|  | unsigned char | minorVersion,
|  | unsigned short | documentEncryption
| ) |  |

## ◆ ~WP6Header()

WP6Header::~WP6Header | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ _readIndexInformation()

void WP6Header::_readIndexInformation | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected

Referenced by getNumPrefixIndices(), WP60Header::WP60Header(), and WP61Header::WP61Header().

## ◆ getIndexHeaderOffset()

unsigned short WP6Header::getIndexHeaderOffset | ( |  | ) | const
| inline

## ◆ getNumPrefixIndices()

unsigned short WP6Header::getNumPrefixIndices | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_indexHeaderOffset

unsigned short WP6Header::m_indexHeaderOffset
| private

Referenced by _readIndexInformation(), getIndexHeaderOffset(), and WP6Header().

## ◆ m_numPrefixIndices

unsigned short WP6Header::m_numPrefixIndices
| private

Referenced by _readIndexInformation(), and getNumPrefixIndices().

The documentation for this class was generated from the following files:

- WP6Header.h
- WP6Header.cpp